Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.editor.internal.e3
Class ECPCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.ChangeCommand
              org.eclipse.emf.ecp.editor.internal.e3.ECPCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

    public abstract class ECPCommand

extends org.eclipse.emf.edit.command.ChangeCommand

Command capable of recording changes on a model element.

Author:
  emueller

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Constructor Summary
`ECPCommand(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.edit.domain.EditingDomain domain)` Constructor.

Method Summary
`void` | `run(boolean ignoreExceptions)` Executes the command.

Methods inherited from class org.eclipse.emf.edit.command.ChangeCommand
`dispose, execute, getChangeRecorder, redo, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, canUndo, chain, getAffectedObjects, getDescription, getLabel, getResult, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ECPCommand

    public ECPCommand(org.eclipse.emf.ecore.EObject eObject,
                      org.eclipse.emf.edit.domain.EditingDomain domain)

  Constructor.

  Parameters:
    `eObject` - the model element whose changes one is interested in
    `domain` - the `EditingDomain` to use

Method Detail

### run

    public void run(boolean ignoreExceptions)

  Executes the command.

  Parameters:
    `ignoreExceptions` - true if any thrown exception in the execution of the command should be ignored.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.